import sharedInterfaces.*;
import dataServerDomain.*;
import guiDomain.*;
import graphicsDomain.*;


public class EScope5
{
    public static void main(String args[])
    {
        new EScope5();
    }

    public EScope5()
    {   // create domains
	GuiFacadeInterface gui = new GuiFacade();
	AbstractGraphicsFacade graph = new GraphicsFacade();
	DataServerFacadeInterface data = new DataServerFacade();
	// associate domains with each other
	gui.initialise(data, graph);
        graph.initialise(gui);
    }
}
